﻿using Microsoft.AspNetCore.Http;
using System.Threading.Tasks;

namespace App
{
    public interface IFoobar
    {
        Task InvokeAsync(HttpContext httpContext);
    }

    public class Foo : IFoobar
    {
        public Task InvokeAsync(HttpContext httpContext) => httpContext.Response.WriteAsync("Process for App");
    }

    public class Bar : IFoobar
    {
        public Task InvokeAsync(HttpContext httpContext) => httpContext.Response.WriteAsync("Process for MiniApp");
    }
}
